Summary: Setup D0 Desktop for NFS
Name: fermi-d0-nfs
Version: 1.0
Release: 5
Copyright: FermiLab
Group: Fermi/D0
URL: http://www-d0.fnal.gov/d0unix/linux/
Distribution: Fermi Linux v6.1.1
Vendor: Fermilab
Packager: Simon Epsteyn
Requires: /bin/sh, knfsd-clients, chkconfig
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-buildroot

%description

Setup the D0 desktop to use NFS

#%prep

#%build

%install

#echo $RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_ROOT

%clean
/bin/rm -rf $RPM_BUILD_ROOT

# Pre-install script
#%pre

# Post-install script
%post

## Mount Points

/bin/mkdir -p /usr/local/home
/bin/mkdir -p /fnal/ups
/bin/mkdir -p /d0usr
/bin/mkdir -p /d0dist
/bin/mkdir -p /d0dist2

## Links

if [ -e /usr/products ]; then
	if [ -e /usr/products.old ]; then
		/bin/rm -rf /usr/products.old
	fi
	/bin/mv -f /usr/products /usr/products.old
fi

/bin/ln -sf /fnal/ups /usr/products

## fstab

if [ -e /etc/fstab ]; then
	/bin/cp -f /etc/fstab /etc/fstab.d0sav
	/bin/chmod -f 644 /etc/fstab.d0sav
	/bin/chown -f root.root /etc/fstab.d0sav
fi

LXBLDNUM="1"

/bin/cat <<EOF >>/etc/fstab
d0lxbld${LXBLDNUM}.fnal.gov:/usr/local       /usr/local      nfs ro,hard,intr,rsize=8192,wsize=8192 0 0
d0sgisrv1.fnal.gov:/usr/local/home /usr/local/home nfs ro,hard,intr,rsize=8192,wsize=8192 0 0
d0lxbld${LXBLDNUM}.fnal.gov:/fnal/ups /fnal/ups nfs ro,hard,intr,rsize=8192,wsize=8192 0 0
d0lxbld${LXBLDNUM}.fnal.gov:/d0usr    /d0usr    nfs ro,hard,intr,rsize=8192,wsize=8192 0 0
d0lxbld${LXBLDNUM}.fnal.gov:/d0dist   /d0dist   nfs ro,hard,intr,rsize=8192,wsize=8192 0 0
d0lxbld${LXBLDNUM}.fnal.gov:/d0dist2  /d0dist2  nfs ro,hard,intr,rsize=8192,wsize=8192 0 0
EOF

/bin/chmod -f 644 /etc/fstab
/bin/chown root.root /etc/fstab

## Enable services

/sbin/chkconfig --level 35 netfs on
/sbin/chkconfig --level 35 autofs on

# Pre-uninstall script
#%preun

# Post-uninstall script
%postun

## fstab

if [ -e /etc/fstab.d0sav ]; then
	/bin/mv -f /etc/fstab.d0sav /etc/fstab
	/bin/chmod -f 644 /etc/fstab
	/bin/chown -f root.root /etc/fstab
fi

# Files owned by this package
%files

%defattr(-,root,root)
